Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
isinf.c File Reference
`#include "ruby/config.h"`
`#include <strings.h>`
Include dependency graph for isinf.c:

Go to the source code of this file.

## Functions
static double | zero (void)
static double | one (void)
static double | inf (void)
int | isinf (double n)

## Function Documentation

static double inf | ( | void |  | ) |
| static

Definition at line 53 of file isinf.c.

References one(), and zero().

int isinf | ( | double | n | ) |

Definition at line 56 of file isinf.c.

References inf, and memcmp().

Referenced by atanh(), BigMath_s_exp(), BigMath_s_log(), BSD_vfprintf(), c_valid_start_p(), c_virtual_sg(), dbl2big(), double2timeval(), finite(), flo_cmp(), flo_is_finite_p(), flo_is_infinite_p(), flo_round(), flo_to_s(), float_denominator(), float_numerator(), float_value(), flodivmod(), generate_json_float(), guess_style(), m_julian_p(), m_proleptic_gregorian_p(), m_proleptic_julian_p(), math_atan2(), math_gamma(), math_lgamma(), num_interval_step_size(), nurat_div(), rand_range(), rb_big2dbl(), rb_big_fdiv(), rb_integer_float_cmp(), rb_integer_float_eq(), rb_str_format(), ruby_float_step(), ruby_float_step_size(), ruby_hdtoa(), s_virtual_sg(), VpDtoV(), and w_float().

static double one | ( | void |  | ) |
| static

Definition at line 52 of file isinf.c.

Referenced by BigMath_s_exp(), BigMath_s_log(), enum_one(), inf(), and switch().

static double zero | ( | void |  | ) |
| static

Definition at line 51 of file isinf.c.

Referenced by BigDecimal_power(), BigMath_s_log(), inf(), num_uminus(), switch(), tgamma(), and VpCtoV().